
#ifndef IGP_TYPES_H
#define IGP_TYPES_H

#define IPOPT_RA                148             /* router alert */
#define IGMP_V3_MEMBERSHIP_REPORT 0x22

#include <sys/types.h>

/* Structure to represent IGMP extra information */
typedef struct {
    u_int8_t igmp_version;
    char *igmp_tag;
    u_int8_t igmp_type;             /* IGMP type */
    u_int8_t igmp_code;             /* routing code */
    char *igmp_dst;
    int group_override_dst;
} ipg_igmp_extra_t;

typedef struct {
    char *device;
    char *igmp_type_version; // Combined type and version
    char *igmp_group;
    char *source_ip_port; // Combined source IP and port
    char *destination_ip_port; // Combined destination IP and port
    int delay_between_packets; // Optional, can be 0 if not specified
} ipg_cmdline_options_t;

extern ipg_igmp_extra_t g_igmp_pkts[];

#endif /* IGP_TYPES_H */

